org.apache.sling.bgservlets

## Interface JobConsole

All Known Implementing Classes:
  JobConsoleImpl

    @ProviderType
    public interface JobConsole

Back-end for management consoles that give access to background jobs.

### Method Summary

Methods
`Iterator<JobStatus>` `getJobStatus(javax.jcr.Session session, boolean activeOnly)` Return Iterator on JobStatus, in descending order of creation date.
`JobStatus` `getJobStatus(javax.jcr.Session session, String path)` Return a single JobStatus, null if not found.
`String` `getJobStatusPagePath(javax.servlet.http.HttpServletRequest request, JobStatus jobStatus, String extension)` Return the full path, including extension, to the job's status page.
`String` `getJobStreamPath(javax.servlet.http.HttpServletRequest request, JobStatus jobStatus)` Return the full path, including extension, to the job's stream

### Method Detail

#### getJobStatus

    Iterator<JobStatus> getJobStatus(javax.jcr.Session session,
                                   boolean activeOnly)

Return Iterator on JobStatus, in descending order of creation date.

Parameters:
  `session` - not used if activeOnly = true
  `activeOnly` - if true, only jobs that are currently active in the ExecutionEngine are returned.

#### getJobStatus

    JobStatus getJobStatus(javax.jcr.Session session,
                         String path)

Return a single JobStatus, null if not found.

Parameters:
  `session` - Session to use if reading from persistent storage
  `path` - the job path

#### getJobStatusPagePath

    String getJobStatusPagePath(javax.servlet.http.HttpServletRequest request,
                              JobStatus jobStatus,
                              String extension)

Return the full path, including extension, to the job's status page.

#### getJobStreamPath

    String getJobStreamPath(javax.servlet.http.HttpServletRequest request,
                          JobStatus jobStatus)

Return the full path, including extension, to the job's stream